librevenge::PresentationSVG Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
librevenge::PresentationSVG Namespace Reference

## Classes
struct | Table
| basic class used to store table information More...

## Functions
static double | getInchValue (librevenge::RVNGProperty const &prop)
static std::string | doubleToString (const double value)
static unsigned | stringToColour (const RVNGString &s)

## Function Documentation

static std::string librevenge::PresentationSVG::doubleToString | ( | const double | value | ) |
| static

Referenced by librevenge::RVNGSVGPresentationGenerator::drawEllipse(), librevenge::RVNGSVGPresentationGenerator::drawGraphicObject(), librevenge::RVNGSVGPresentationGenerator::drawPath(), librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething(), librevenge::RVNGSVGPresentationGenerator::drawRectangle(), librevenge::RVNGSVGPresentationGenerator::openSpan(), librevenge::RVNGSVGPresentationGenerator::openTableCell(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGPresentationGenerator::startSlide(), librevenge::RVNGSVGPresentationGenerator::startTextObject(), and librevenge::RVNGSVGPresentationGeneratorImpl::writeStyle().

static double librevenge::PresentationSVG::getInchValue | ( | librevenge::RVNGProperty const & | prop | ) |
| static

Referenced by librevenge::RVNGSVGPresentationGenerator::drawEllipse(), librevenge::RVNGSVGPresentationGenerator::drawGraphicObject(), librevenge::RVNGSVGPresentationGenerator::drawPath(), librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething(), librevenge::RVNGSVGPresentationGenerator::drawRectangle(), librevenge::PresentationSVG::Table::openRow(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGPresentationGenerator::startSlide(), librevenge::RVNGSVGPresentationGenerator::startTextObject(), librevenge::PresentationSVG::Table::Table(), and librevenge::RVNGSVGPresentationGeneratorImpl::writeStyle().

static unsigned librevenge::PresentationSVG::stringToColour | ( | const RVNGString & | s | ) |
| static

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().